Nvidia GeForce 181.20 WHQL released!!

Discussion in 'Videocards - NVIDIA GeForce Drivers Section' started by dajife, Jan 8, 2009.

  1. Bravo

    Bravo Master Guru

    Messages:
    866
    Likes Received:
    0
    GPU:
    eVGA Geforce 9600GT 512MB
    I think you'll be pleasantly surprised by Windows 7. I'm using the beta and I think its brilliant. Because it actually works! :)
     
  2. xankazo

    xankazo Ancient Guru

    Messages:
    2,839
    Likes Received:
    7
    GPU:
    EVGA 1060 SC (6GB)
    so it's working here with 181.22 forcewares. very nice game. now I only have to get used to the xbox360 controllers.
     
  3. Modern_Angel

    Modern_Angel New Member

    Messages:
    1
    Likes Received:
    0
    GPU:
    Geforce go 7200
    Geforce 7200 Go

    Excuse my total ignorance on the subject of drivers, but will these forceware drivers work on a geforce 7200 go?

    I have the original 2006 (?) drivers, and nvidia doesn't update them anymore.

    I know have video issues in Stalker, and would like to see these fixed.

    Thanks in advance.
     
  4. Cybermancer

    Cybermancer Don Quixote

    Messages:
    13,795
    Likes Received:
    0
    GPU:
    BFG GTX260OC (192 SP)
    Welcome to Guru3D, Modern_Angel.:)

    Try this:

    Download both the driver (181.22 WHQL) and the modded inf for your OS version (XP, 32-Bit) from here: http://www.laptopvideo2go.com/forum/index.php?showtopic=22784

    Now do the following:
    1. Uninstall your current driver.
    2. Restart and boot into safe mode (F8).
    3. Run Driver Sweeper and maybe even CCleaner.
    4. Restart and boot to the regular desktop.
    5. Decompress the downloaded driver and copy the modded inf into that folder.
    6. Run the setup.exe you can find in that folder.
    7. Restart.

    Good luck! :D

    p.s.: In case you're getting an error message when you try to install the driver, decompress it with a tool like 7-Zip, delete the PhsyX installer from the folder and just start the setup.exe in the decompressed driver folder...

    You need the modded inf since without it your card wouldn't be supported. In the modded inf your card is included, though:
    I recommend using the 181.22 WHQL, since it's newer and fixes some previous game issues...
     

Share This Page